Bug 842996 - The package jboss-as-7.1.1-4 doesn't include symlink /usr/share/jboss-as/modules/javax/xml/registry/api/main/jboss-jaxr-1.0-api.jar
The package jboss-as-7.1.1-4 doesn't include symlink /usr/share/jboss-as/modu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 05:08 EDT by Juan Hernández
Modified: 2012-08-05 17:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 05:41:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-07-25 05:08:15 EDT
Release 4 of jboss-as-7.1.1 doesn't include the link to the jar file The package jboss-as-7.1.1-4 doesn't include symlink /usr/share/jboss-as/modules/javax/xml/registry/api/main/jboss-jaxr-1.0-api.jar. This means that some applications that require this module fail to deploy.
Comment 1 Juan Hernández 2012-07-25 05:12:33 EDT
The workaround is to create the link manually:

ln -s /usr/share/java/jboss-jaxr-1.0-api.jar
/usr/share/jboss-as/modules/javax/xml/registry/api/main/jboss-jaxr-1.0-api.jar
Comment 2 Marek Goldmann 2012-07-25 05:41:12 EDT
Fixed upstream, will be available in jboss-as-7.1.1-5 update.

https://github.com/fedora-jboss-as/jboss-as-rpm/commit/8da2593bb2d7015f75ce62e774d23667c162f0cb
Comment 3 Fedora Update System 2012-08-02 04:15:39 EDT
jboss-as-7.1.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-as-7.1.1-6.fc17
Comment 4 Fedora Update System 2012-08-05 17:29:46 EDT
jboss-as-7.1.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.